#!/usr/bin/env bash

# create table for all relevant variants
#
DATADIR="results-paper-version2"

if test ! -e $DATADIR
then
    echo "Please create link to results data."
    exit
fi

# runtimes only for rho = 0.025
FILE=table-hard2-test.tex
echo "Writing file "$FILE

echo "% generated by paper_generate_hard2_table.sh" > $FILE
echo "\begin{table*}" >> $FILE
echo "   \small" >> $FILE
echo "   \caption{Averages of the \emph{test} accuracies for \emph{hard instances}. The" >> $FILE
echo "	 table shows the accuracies and standard deviations as well as the number of learners \\(L\\) for three algorithms using \(\rho = 0.05\) for 10 different seeds; best solutions are marked with *; using" >> $FILE
echo "	 \emph{\(\pm 1\) values for prediction and voting}.}" >> $FILE
echo "   \label{tab:hard2}" >> $FILE
echo "   \begin{tabular*}{\textwidth}{@{}rr@{\extracolsep{\fill}}r@{\extracolsep{0ex}\quad}r@{\;}>{$}c<{$}@{\;}r@{\quad}r@{\extracolsep{\fill}}r@{\extracolsep{0ex}\quad}r@{\;}>{$}c<{$}@{\;}r@{\quad}r@{\extracolsep{\fill}}r@{\extracolsep{0ex}\quad}r@{\;}>{$}c<{$}@{}r@{\quad}r@{}}\toprule">> $FILE
    
perl generate_table_mean.prl -h $DATADIR/check.prio.hard2.ipboost.linux.x86_64.gnu.opt.spx2.moskito.hardset.s*.out >> $FILE

echo "      \bottomrule" >> $FILE
echo "   \end{tabular*}" >> $FILE
echo "\end{table*}" >> $FILE
