#!/usr/bin/env bash

# check if tmp-path exists 
if test ! -d $CLIENTTMPDIR
then
    exit
fi

OUTFILE=$CLIENTTMPDIR/$BASENAME.out
ERRFILE=$CLIENTTMPDIR/$BASENAME.err

export PATH=/home/pfetsch/anaconda3/bin:$PATH

# try to fix problem with MKL
export KMP_INIT_AT_FORK=FALSE

uname -a                            > $OUTFILE
uname -a                            > $ERRFILE
echo @01 $INSTANCE $TESTINST ===========      >> $OUTFILE 
echo @01 $INSTANCE $TESTINST ===========      >> $ERRFILE
echo -----------------------------  >> $OUTFILE
date                                >> $OUTFILE
date                                >> $ERRFILE
echo -----------------------------  >> $OUTFILE
date +"@03 %s"                      >> $OUTFILE

if test "$SETTINGS" = ""
then
    SETS=""
else
    SETS="-s "$SETTINGS
fi

# echo $CURPATH/../$BINNAME $INSTANCE $SETS -t $TIMELIMIT -m $MEMLIMIT -n $NODELIMIT -d $DISPFREQ >> $ERRFILE
$CURPATH/../$BINNAME $INSTANCE $TESTINST $SETS -t $TIMELIMIT -m $MEMLIMIT -n $NODELIMIT -d $DISPFREQ -p $SEED >> $OUTFILE 2>>$ERRFILE

date +"@04 %s"                      >> $OUTFILE
echo -----------------------------  >> $OUTFILE
date                                >> $OUTFILE
echo -----------------------------  >> $OUTFILE
date                                >> $ERRFILE
echo                                >> $OUTFILE
echo =ready=                        >> $OUTFILE

mv $OUTFILE $CURPATH/results/$BASENAME.out
mv $ERRFILE $CURPATH/results/$BASENAME.err
