from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
from Cython.Build import cythonize
import numpy

# define extension, using compiler switch
extensions = [Extension("libgenerateColumn", ["generateColumn.pyx"], include_dirs=[numpy.get_include()], extra_compile_args=["-DCYTHON_PEP489_MULTI_PHASE_INIT=0"])]

# setup
setup(
    cmdclass = {'build_ext': build_ext},
    ext_modules = cythonize(extensions, gdb_debug=True, quiet=True, compiler_directives={'language_level': 3})
)
