/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*    This file is part of the program ipboost                               */
/*                                                                           */
/*    an implementation of a boosting learning algorithm.                    */
/*                                                                           */
/*    Copyright (C) 2016-                                                    */
/*                                                                           */
/*                                                                           */
/*    Based on SCIP  --- Solving Constraint Integer Programs                 */
/*       SCIP is distributed under the terms of the SCIP Academic Licence,   */
/*       see file COPYING in the SCIP distribution.                          */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/**@file   handlepython.h
 * @brief  handle python interface
 */

#ifndef __INITPYTHON_H__
#define __INITPYTHON_H__

#include <scip/scip.h>

/** initialize python interface */
extern
SCIP_RETCODE initPythonInterface(
   SCIP*                 scip                /**< SCIP data structure */
   );

/** free python interface */
extern
SCIP_RETCODE freePythonInterface(
   SCIP*                 scip                /**< SCIP data structure */
   );

#endif
