/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*    This file is part of the program ipboost                               */
/*                                                                           */
/*    an implementation of a boosting learning algorithm.                    */
/*                                                                           */
/*    Copyright (C) 2016-                                                    */
/*                                                                           */
/*                                                                           */
/*    Based on SCIP  --- Solving Constraint Integer Programs                 */
/*       SCIP is distributed under the terms of the SCIP Academic Licence,   */
/*       see file COPYING in the SCIP distribution.                          */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/**@file   vardata.h
 * @brief  variable data type
 */

/*---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8----+----9----+----0----+----1----+----2*/

#ifndef __SCIP_VARDATA__
#define __SCIP_VARDATA__

#ifdef __cplusplus
extern "C" {
#endif

/** variable data */
struct IPBOOST_Vardata
{
   int                   number;             /**< variable number */
   int                   npoints;            /**< number of points */
   SCIP_Real*            dualvals;           /**< dual values used for creating variable */
};

typedef struct IPBOOST_Vardata IPBOOST_VARDATA;

#ifdef __cplusplus
}
#endif

#endif
